# Changelog
Note: version releases in the 0.x.y range may introduce breaking changes.

## 1.2.2

- patch: Print exit code when scanner fails

## 1.2.1

- patch: Updating pipes.yml to match Bitbucket documentation standards

## 1.2.0

- minor: Using NodeJs with version 12.18.3, and Sonar Scanner with version 4.4.0.2170

## 1.1.0

- minor: Updated version of Sonar Scanner to Version 4.3.0.2102

## 1.0.1

- patch: Fine-tune documentation for release

## 1.0.0

- major: Add SONAR_TOKEN default variable
- patch: Write scanner output to BITBUCKET_PIPE_STORAGE_DIR

## 0.1.5

- patch: Standardise pipe variable validation messages.

## 0.1.4

- patch: Switched to JRE; added an icon

## 0.1.3

- patch: Add Mercurial support

## 0.1.2

- patch: Upgrade to JDK 11

## 0.1.1

- patch: Added NodeJS support

## 0.1.0

- minor: Initial version of the pipe

